> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rag Index Overview.

> Provides total size and other information of RAG indexes used by knowledgebase documents



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/knowledge-base/rag-index
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/knowledge-base/rag-index:
    get:
      tags:
        - Agents Platform
      summary: Get Rag Index Overview.
      description: >-
        Provides total size and other information of RAG indexes used by
        knowledgebase documents
      operationId: get_rag_index_overview
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RAGIndexOverviewResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RAGIndexOverviewResponseModel:
      properties:
        total_used_bytes:
          type: integer
          title: Total Used Bytes
        total_max_bytes:
          type: integer
          title: Total Max Bytes
        models:
          items:
            $ref: '#/components/schemas/RAGIndexOverviewEmbeddingModelResponseModel'
          type: array
          title: Models
      type: object
      required:
        - total_used_bytes
        - total_max_bytes
        - models
      title: RAGIndexOverviewResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RAGIndexOverviewEmbeddingModelResponseModel:
      properties:
        model:
          $ref: '#/components/schemas/EmbeddingModelEnum'
        used_bytes:
          type: integer
          title: Used Bytes
      type: object
      required:
        - model
        - used_bytes
      title: RAGIndexOverviewEmbeddingModelResponseModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EmbeddingModelEnum:
      type: string
      enum:
        - e5_mistral_7b_instruct
        - multilingual_e5_large_instruct
      title: EmbeddingModelEnum
      default: e5_mistral_7b_instruct

````